# Created by pyp2rpm-3.3.7
%global pypi_name pure_eval
%global pypi_version 0.2.2
%global srcname pure-eval

Name:           python-%{srcname}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Safely evaluate AST nodes without side effects

License:        MIT
URL:            http://github.com/alexmojaki/pure_eval
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-setuptools >= 44
BuildRequires:  python%{python3_pkgversion}-setuptools_scm >= 3.4.3

%description
 pure_eval[![Build Status]( [![Coverage Status]( [![Supports Python versions
3.5+]( is a Python package that lets you safely evaluate certain AST nodes
without triggering arbitrary code that may have unwanted side effects.It can be
installed from PyPI: pip install pure_evalTo demonstrate usage, suppose we have
an object defined as follows:

%package -n     python%{python3_pkgversion}-%{srcname}
Summary:        Safely evaluate AST nodes without side effects

%description -n python%{python3_pkgversion}-%{srcname}
 pure_eval[![Build Status]( [![Coverage Status]( [![Supports Python versions
3.5+]( is a Python package that lets you safely evaluate certain AST nodes
without triggering arbitrary code that may have unwanted side effects.It can be
installed from PyPI: pip install pure_evalTo demonstrate usage, suppose we have
an object defined as follows:


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}

%check
%{__python3} setup.py test

%files -n python%{python3_pkgversion}-%{srcname}
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Wed Feb 16 2022 mockbuild - 0.2.2-1
- Initial package.